#include<bits/stdc++.h>
#define MAXN 100000
using namespace std;
int a[MAXN], n, k;
void brute_force(){
    int ans = 0;
    for(int i = 0; i < n - 1; i++){
        int otg = a[i];
        for(int j = i; j < n; j++){
            otg = (otg | a[j]);
            if(otg >= k){
                ans ++;
            }
        }
    }
    cout << ans << "\n";
    return ;
}
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ///a[i] - int limit - 1
    cin >> n >> k;
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    if(k != 1){
        brute_force();
    }else{
        int br0 = 0, ans = 0;
        for(int i = 0; i < n; i++){
            ans += i + 1;
            if(a[i] == 0){
                br0++;
            }
        }
        if(n == br0){
            cout << 0 << "\n";
            return 0;
        }
        cout << ans - br0;
    }
    return 0;
}
